Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class BZip2

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Pack
                        |
                        +--org.apache.tools.ant.taskdefs.BZip2

public class BZip2
extends Pack

Compresses a file with the BZIP2 algorithm. Normally used to compress non-compressed archives such as TAR files.

Since:
  Ant 1.5

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Pack
`source, zipFile`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`BZip2()`

Method Summary
`protected void` | `pack()` subclasses must implement this method to do their compression

Methods inherited from class org.apache.tools.ant.taskdefs.Pack
`execute, setDestfile, setSrc, setZipfile, zipFile`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BZip2

    public BZip2()

Method Detail

### pack

    protected void pack()

  Description copied from class: `Pack`
  subclasses must implement this method to do their compression

  Specified by:
    `pack` in class `Pack`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.